UserChoice

API Explorer
loading...
POST
/v2/Common/UserChoice

UserChoice prompts the customer to select an option from a list displayed on the terminal screen. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/Common/UserChoice" \  -H "Content-Type: application/json" \  -d '{    "Title": "",    "ChoiceOptions": [      ""    ],    "Tpn": "",    "RegisterId": "",    "Authkey": "",    "SPInProxyTimeout": null,    "CustomFields": {}  }'
{
  "SelectedOption": "",
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}
{
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}